|  |  |  |  |  | Using BCWipe for UNIX |

BCWipe for UNIX is designed as UNIX-style command-line utility. `bcwipe` command synopsis follows:

`bcwipe [-psbdfIirshVv] [-m mode] [-n delay] FILE1 [ FILE2]`

Wiping mode (default is 35-pass Peter Gutmann's scheme)
`-md` | U.S. DoD 5200.28 seven pass extended character rotation wiping.
`-mg` | 35-pass Peter Gutmann's scheme
`-m n` | U.S. DoD 5200.28-style `n` pass extended character rotation wiping.
`-p` | Use 64Kb random pattern for random passes instead of true random. Much faster (especially on slow CPU) but less secure! (not recommended)
`-s` | Use system random. Default is SHA-1 (Secure Hash Algorithm). System random faster but less secure then SHA-1.
Wiping options (default is `-i</t>)`
`-n delay` | Wait `delay` seconds between wiping passes. Required to eliminate cache impact. See remarks below for more information.
`-b` | Wipe contents of block device(s).
`-d` | Do not delete file(s) after wiping.
`-f` | Force wipe files with no write permissions. Also suppress interactive mode (`-i` switch).
`-I` | Do not prompt whether to wipe each file.
`-i` | Prompt whether to wipe each file.
`-r` | Remove with wiping the contents of subdirectories recursively.
`-S` | Wipe files slack. File slack is the disk space from the end of a file till the end of the last cluster used by that file. Cluster is minimal portion of disk space used by file system.
`-F` | Wipe free space on specified filesystem.
Informational options
`-h` | Display help screen and exit
`-V` | Display BCWipe version information and exit
`-v` | Run in verbose mode.

Here is some BCWipe for UNIX examples. `[foo@bar ]$ bcwipe -rvf ~/sources # destroy ~/sources directory using Peter Gutmann's scheme [foo@bar ]$ bcwipe -bvmd /dev/hda # wipe entire /dev/hda disk using U.S. DoD 5200.28-STD scheme [foo@bar ]$ bcwipe -bvm3 /dev/fd0 # wipe entire /dev/fd0 floppy using truncated U.S. DoD 5200.28-STD scheme (less secure)`

Remarks: modern enterprise level storage systems (NAS, disk arrays etc.) employ powerful caches. To avoid undesirable caching effects BCWipe allows user to insert adjustable delay between wiping passes. Please note that when wiping with delay between passes disk space is freed after the last pass.